# Interface for submodule: vnl_lbfgsb
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: vnl_lbfgsb
from ._proxies import vnl_lbfgsbProxy as _vnl_lbfgsbProxy
class _vnl_lbfgsbTemplate(_itkTemplate):
    """Interface for instantiating itk::vnl_lbfgsb"""

    def __new__(cls, *args: Any) -> _vnl_lbfgsbProxy:
        """Instantiate itk::vnl_lbfgsb"""
        ...

    def __call__(self, *args: Any) -> _vnl_lbfgsbProxy:
        """Instantiate itk::vnl_lbfgsb"""
        ...

vnl_lbfgsb = _vnl_lbfgsbTemplate

